package com.ss.android.ugc.aweme.setting.page.diskmanager;

import X.0Bt;
import X.1Bn;
import X.2Pr;
import X.4EQ;
import X.C0436Cwu;
import X.Cs8;
import X.LsC;
import com.bytedance.covode.number.Covode;

public final class DiskViewModel extends 0Bt {
    public static final Cs8 LIZLLL = new Cs8((byte) 0);
    public final 1Bn<Boolean> LIZ;
    public final 1Bn<Integer> LIZIZ;
    public final 1Bn<C0436Cwu<Integer, LsC<4EQ, 2Pr>>> LIZJ = new 1Bn<>();

    static {
        Covode.recordClassIndex(106007);
    }

    public DiskViewModel() {
        1Bn<Boolean> r1 = new 1Bn<>();
        r1.setValue(false);
        this.LIZ = r1;
        1Bn<Integer> r12 = new 1Bn<>();
        r12.setValue(0);
        this.LIZIZ = r12;
    }
}
